Name: sound-scripts
Version: 2.0
Release: alt3
Epoch: 20092020
Summary: The system sound initialization scripts
License: GPL
Group: System/Base

Url: http://git.altlinux.org/people/shrek/packages/sound-scripts.git
Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: alsa-utils amixer udev ConsoleKit >= 0.4.1
Conflicts: initscripts < 1:5.49.1-alt1
Obsoletes: rhsound

Source: %name-%version.tar

BuildArch: noarch

%description
The %name package contains the basic system scripts
used to setup sound devices

%prep
%setup -q

%build

%install
mkdir -p %buildroot/lib/udev/rules.d
install -m0755 alsa-{control,remove} %buildroot/lib/udev/
install -m0644 60-alsa-control.rules %buildroot/lib/udev/rules.d
mkdir -p %buildroot%_prefix/libexec/ConsoleKit/run-seat.d
ln -sf /lib/udev/alsa-control %buildroot%_prefix/libexec/ConsoleKit/run-seat.d/alsa-control.ck
mkdir -p %buildroot%_localstatedir/alsa
for i in 0 1 2 3 4 5 6 7 8 9; do
	touch %buildroot%_localstatedir/alsa/controlC$i
done

%pre
if [ -d %_localstatedir/hotplug ]; then
	rm -fr %_localstatedir/hotplug
fi

%triggerin -- %name < 1.0.0
chkconfig --del sound ||:

%files
/lib/udev/alsa-*
/lib/udev/rules.d/*.rules
%_prefix/libexec/ConsoleKit/run-seat.d/alsa-control.ck
%dir %_localstatedir/alsa
%ghost %_localstatedir/alsa/controlC*

%changelog
* Wed Dec 23 2009 Valery Inozemtsev <shrek@altlinux.ru> 20092020:2.0-alt3
- scripts optimized

* Fri Nov 20 2009 Valery Inozemtsev <shrek@altlinux.ru> 20092020:2.0-alt2
- rebuild with ConsoleKit 0.4.1

* Fri Nov 20 2009 Valery Inozemtsev <shrek@altlinux.ru> 20092020:2.0-alt1
- migrated to udev/ConsoleKit

* Wed Aug 19 2009 Valery Inozemtsev <shrek@altlinux.ru> 20080922:1.0.2-alt1
- removed PolicyKit support

* Tue Mar 03 2009 Valery Inozemtsev <shrek@altlinux.ru> 20080922:1.0.1-alt2
- relocated /etc/modprobe.d/oss to alsa-oss

* Wed Dec 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 20080922:1.0.1-alt1
- 1.0.1:
  + updated /etc/modprobe.d/oss for current ALSA

* Fri Nov 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 20080922:1.0.0-alt0.M41.1
- build for branch 4.1

* Mon Nov 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 20080922:1.0.0-alt1
- 1.0.0:
  + droped initscript sound
  + used hal addon for mixer restore/save
  + autosave mixer time interval

* Tue Sep 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 20080922:0.53-alt1
- HDA Intel: added Speaker mixer support

* Mon Sep 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 20080922:0.52-alt2
- added Front mixer support (Michael Shigorin)
- applied patch by imz@ (fixes #16723) (Michael Shigorin)
- added an Url (Michael Shigorin)

* Mon May 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 20070530:0.51-alt1
- rewrite sound initscript for hal 

* Wed May 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 20070530:0.50-alt1
- rewrite sound initscript for udev
- added oss config for module-init-tools

* Mon Jul 04 2005 Anton D. Kachalov <mouse@altlinux.org> 20050704:0.41-alt4
- rebuild with fixed Epoch

* Wed Jul 14 2004 Anton Farygin <rider@altlinux.ru> 20040714:0.41-alt3
- sound scripts disabled for kernel 2.6 (all functions moved to hotplug)

* Wed Jan 21 2004 Michael Shigorin <mike@altlinux.ru> 20040121:0.41-alt2
- added BuildArch: noarch (#3347)
- added Epoch: so that this would override 0.5x

* Thu Nov 27 2003 Michael Shigorin <mike@altlinux.ru> 0.41-alt1
- fixed implicit call of alsactl; should fix some perceived problems
  with resulting alsa-utils dependency (to be handled in alsa drivers
  package also)

* Mon Nov 24 2003 Michael Shigorin <mike@altlinux.ru> 0.4-alt1
- major rewrite of fix_alsa_levels() by Sergey Vlasov (vsu@) -- 
  major thanks to him!

* Sun Nov 23 2003 Michael Shigorin <mike@altlinux.ru> 0.31-alt1
- added cosmetic fix for possibly duplicate module names;
  thanks to Andrey Rahmatullin (wrar@) for pointing out an issue
  and Sergey Vlasov (vsu@) for not letting me to revert #1802 fix

* Sat Nov 22 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt1
- fixed stupid regex-family-related bug (didn't port PCREs to sed);
  thanks Alex Yustasov <snmon server by> for both finding and fixing it!

* Wed Nov 12 2003 Michael Shigorin <mike@altlinux.ru> 0.2-alt1
- fixed #1049, #1711 -- introduced initial specific ALSA support
  (modified patch by Dmitry Vukolov <dvukol rosmail ru>):
  * alsactl save/restore;
  * if /etc/asound.state is absent, initialize the mixer with
    non-zero values and unmuted channels.
- added TODO

* Wed Oct 08 2003 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt1
- Enhanced aumix support.

* Mon Apr 21 2003 Dmitry V. Levin <ldv@altlinux.org> 0.0.1-alt1
- Removed all but sound scripts and packaged them separately.

* Sat Apr 19 2003 Dmitry V. Levin <ldv@altlinux.org> 5.49-ipl54mdk
- %_initdir/sound: don't sort aliases in LoadModule (#0001802).
- %_initdir/clock: test $HWCLOCK_ADJUST also for "true" value (#0002351).
- %_initdir/functions:
  + fixed check logic in daemon() a bit (#0002407).
  + fixed return code in killproc() (#0002412).
- %_initdir/outformat: check argumnets being passed to tput (#0002450).
- /etc/sysctl.conf:
  + set "net.ipv4.icmp_echo_ignore_broadcasts = 1" by default (#0002472);
  + added comments from Owl's sysctl.conf file.
- usernetctl: support variable definitions quoted with single quotes.
